[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: this bug .. bugs me

On Tue, 05 Jun 2012 11:52:52 -0400 (EDT), Joey Hess wrote:
> ...
> This bug is a textbook example of making the perfect the enemy of the good.
> It's disconcerting that we, or our users, are willing to put up with this.

Unfortunately, this is not an isolated case.  Another example is GNU parted.
I contributed an enhancement to upstream GNU parted several years ago that
adds support for CMS minidisks, as well as a number of related enhancements.
This has significant benefit for users of the s390 and s390x ports, especially
in the Debian installer environment.  The contribution was accepted and is
included in the upstream code in version 2.4.  But the Debian package is
still using version 2.3.  I had hoped that the Debian package would upgrade
to version 2.4 or later before the Squeeze freeze, but that did not happen.
Three upstream versions later (2.4, 3.0, and now 3.1) the Debian package is
still using version 2.3.  It now appears that my enhancement will not appear
in the Wheezy version of the package either.  This is very disappointing.

I'm not questioning anyone's competency, but parted is way out of date;
and no-one seems to be doing anything about it.

  .''`.     Stephen Powell    
 : :'  :
 `. `'`

Reply to: